com.fasterxml.jackson.databind.ser.impl

## Class FilteredBeanPropertyWriter

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.impl.FilteredBeanPropertyWriter

-     public abstract class FilteredBeanPropertyWriter
      extends java.lang.Object

  Decorated `BeanPropertyWriter` that will filter out properties that are not to be included in currently active JsonView.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilteredBeanPropertyWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BeanPropertyWriter` | `constructViewBased(BeanPropertyWriter base, java.lang.Class<?>[] viewsToIncludeIn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilteredBeanPropertyWriter

          public FilteredBeanPropertyWriter()

  - ### Method Detail

    - #### constructViewBased

          public static BeanPropertyWriter constructViewBased(BeanPropertyWriter base,
                                              java.lang.Class<?>[] viewsToIncludeIn)